// intialization plugins
$(document).ready(function () {

    //animation icon toggler of navbar
    $(`.navbar-toggler`).click(function() {
        $(`.navbar-toggler`).toggleClass(`active`);
    });

    // sidebar_toggler 
    $(`.sidebar_toggler`).click(function() {
        $(`.sidebar`).toggleClass(`active`);
    });

    //Wow intit
    wow = new WOW({
        boxClass: 'wow',
        animateClass: 'animated',
        offset: 200,
        mobile: true,
        live: false
    });
    wow.init();

    //fancybox
    $("[data-fancybox]").fancybox({
        selector: '[data-fancybox="images"]',
        // loop: true
    });

    //  loader 
    // $(window).on("load", function() {
    //     $("#preloader").addClass("isdone");
    // });

});

// Swiper
$(document).ready(function () {

    //////////////////// Swiper  ////////////////////
    // var swiper = new Swiper(' .swiper-container', {
    //     // loop: true,
    //     speed: 900,
    //     slidesPerView: 1,
    //     spaceBetween: 15,
    //     // autoplay: {
    //     //     delay: 2500,
    //     // },
    //     //In Tabs
    //     // observer: true,
    //     // observeParents: true,
    //     navigation: {
    //         nextEl: '.swiper-button-next',
    //         prevEl: '.swiper-button-prev',
    //     },
    //     pagination: {
    //         el: '.swiper-pagination',
    //         clickable: true
    //     },
    //     breakpoints: {
    //         640: {
    //             slidesPerView: 2,
    //             spaceBetween: 20,
    //         },
    //         768: {
    //             slidesPerView: 3,
    //             spaceBetween: 20,
    //         },
    //         1024: {
    //             slidesPerView: 5,
    //             spaceBetween: 20,
    //             // Prevent swiper in lg screens
    //             // allowTouchMove: false,
    //             // preventClicks: false
    //         },
    //     }
    // });

});


/* ----------------------------------------------------------------
    [ sidemenu dropdown ]
-----------------------------------------------------------------*/
var linkGroup = $('.linkGroup'),
linkGroupHead = $('.linkGroup .linkItem-head');
$('.linkItem-body').slideUp(0)

linkGroupHead.on('click', function() {
    $(this).next(".linkItem-body").slideToggle(200);
});

linkGroup.on('click', function(e) {
    e.stopPropagation();
    $(this).addClass("active").siblings().removeClass("active");
    $(this).siblings().find('.linkItem-body').slideUp(200)
});

$('html').on('click', function() {
    linkGroup.removeClass("active");
    linkGroup.find('.linkItem-body').slideUp(200)
});

/* ----------------------------------------------------------------
    [ sidemenu active ]
-----------------------------------------------------------------*/
$('.sidemenu-links li').on('click', function() {
    $(this).addClass('active').siblings().removeClass('active');
})



$('[data-toggle="datepicker"]').datepicker();

